Subject: [paws] Reviews requested for http://tools.ietf.org/html/draft-ietf-paws-protocol-06

From: <[email-masked]>
Date: Thu, 18 Jul 2013 22:42:35 +0000

Folks,

I issued a WGLC on this document 4 weeks ago, and there was no feedback received at all.
If you care about this document, you should review it and send your comments to the list. If you review it and you have no comments, then please send a mail to the list stating that you have reviewed the document and have no comments.
Without reviews, we cannot make progress with the document. I cannot send it to the IESG requesting publication.

- Gabor

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Bajko Gabor (Nokia-CIC/SiliconValley)
Sent: Wednesday, June 19, 2013 10:18 AM
To: [email-masked]
Subject: [paws] WGLC on http://tools.ietf.org/html/draft-ietf-paws-protocol-06

All,

The Editor of the document posted a new version and indicated that all open issues raised on the list were resolved, and that there are no more open issues he is aware of.
Therefore, I'd like to issue a wg last call on the document. We need reviews and feedback in order to be able to progress the document.

Please read through the draft and send any comments you may have to the list in the next 2-3 weeks.
If you review the draft and have no comments, send a note to the list that the draft is good as it is, we need these notes as much as we need the actual comments.

Thanks, Gabor
_______________________________________________
paws mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/paws

---

From: Michael Head <[email-masked]>
Date: Mon, 22 Jul 2013 08:02:16 -0700

Thanks for the reminder, Gabor. I have two comments which I will start as
separate threads.

-- mike

On Thu, Jul 18, 2013 at 3:42 PM, <[email-masked]> wrote:

> If you care about this document, you should review it and send your
> comments to the list. If you review it and you have no comments, then
> please send a mail to the list stating that you have reviewed the document
> and have no comments.
> Subject: [paws] WGLC on
> http://tools.ietf.org/html/draft-ietf-paws-protocol-06
>
> All,
>
> The Editor of the document posted a new version and indicated that all
> open issues raised on the list were resolved, and that there are no more
> open issues he is aware of.
> Therefore, I'd like to issue a wg last call on the document. We need
> reviews and feedback in order to be able to progress the document.
>
> If you review the draft and have no comments, send a note to the list that
> the draft is good as it is, we need these notes as much as we need the
> actual comments.
>
> Thanks, Gabor

-- 
----------------------------------
Michael R Head <[email-masked]>
http://www.cs.binghamton.edu/~mike
+1-201-BLISTER

---

From: [email-masked]
Date: Thu, 25 Jul 2013 20:00:38 +0530

Hi,

Please find few comments below, based on my reading of the spec.

1. Section 2.2 states Slave device as a device without geolocation
capability. I think the phrasing there need to be different. A Slave device
may or may not have geolocation capability, but does not directly query the
database. Also a mobile Slave device, can it not switch as master device in
adhoc? 
2. It will be a good thing to include 'timestamp:string            |
requirted' paramter in all the protocol transactions
3. Section 4.3.2 REGISTRATION_RESP should include 'rulesetInfo:RulesetInfo
as  required' parameter. 
4. Section 4.4.4 AVAIL_SPECTRUM_REQ, Can this also include an optional
requirement of minimum usage time? That is a master prefers to use the
available spectrum for a minimum duration without interruption, and the
database responds accordingly. This will help in ensuring QoS for whitespace
transmission. 
5. REGISTRATION_REQ, and SPECTRUM_USE_NOTIFY transctions; can it have
repsonses like accepted/denied by database? 
                                                           
Thanks and Regards,
Sajeev

-----Original Message-----
From: Sajeev Manikkoth [mailto:[email-masked]] 
Sent: Wednesday, July 24, 2013 7:30 PM
To: [email-masked]'; [email-masked]'
Subject: RE: [paws] Reviews requested for

Hi,

Please find few comments below, based on my reading of the spec.

1. Section 2.2 states Slave device as a device without geolocation
capability. I think the phrasing there need to be different. A Slave device
may or may not have geolocation capability, but does not directly query the
database. Also a mobile Slave device, can it not switch as master device in
adhoc? 
2. It will be a good thing to include 'timestamp:string            |
requirted' paramter in all the protocol transactions
3. Section 4.3.2 REGISTRATION_RESP should include 'rulesetInfo:RulesetInfo
as  required' parameter. 
4. Section 4.4.4 AVAIL_SPECTRUM_REQ, Can this also include an optional
requirement of minimum usage time? That is a master prefers to use the
available spectrum for a minimum duration without interruption, and the
database responds accordingly. This will help in ensuring QoS for whitespace
transmission. 
5. REGISTRATION_REQ, and SPECTRUM_USE_NOTIFY transctions; can it have
repsonses like accepted/denied by database? 
                                                           
Thanks and Regards,
Sajeev 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
[email-masked]
Sent: Friday, July 19, 2013 4:13 AM
To: [email-masked]
Subject: [paws] Reviews requested for
http://tools.ietf.org/html/draft-ietf-paws-protocol-06

Folks,

I issued a WGLC on this document 4 weeks ago, and there was no feedback
received at all.
If you care about this document, you should review it and send your comments
to the list. If you review it and you have no comments, then please send a
mail to the list stating that you have reviewed the document and have no
comments.
Without reviews, we cannot make progress with the document. I cannot send it
to the IESG requesting publication.

- Gabor

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Bajko Gabor (Nokia-CIC/SiliconValley)
Sent: Wednesday, June 19, 2013 10:18 AM
To: [email-masked]
Subject: [paws] WGLC on
http://tools.ietf.org/html/draft-ietf-paws-protocol-06

All,

The Editor of the document posted a new version and indicated that all open
issues raised on the list were resolved, and that there are no more open
issues he is aware of.
Therefore, I'd like to issue a wg last call on the document. We need reviews
and feedback in order to be able to progress the document.

Please read through the draft and send any comments you may have to the list
in the next 2-3 weeks.
If you review the draft and have no comments, send a note to the list that
the draft is good as it is, we need these notes as much as we need the
actual comments.

Thanks, Gabor

---

From: "Harasty, Daniel J" <[email-masked]>
Date: Thu, 25 Jul 2013 14:44:44 +0000

I'd like to comment some of Sanjeev's input.

I prefer to send independent replies on each topic, as that way a given email thread is about a single topic (more or less).

Sanjeev mentioned:

From: [email-masked]
Sent: Thursday, July 25, 2013 10:31 AM
[...]
1. Section 2.2 states Slave device as a device without geolocation capability. I think the phrasing there need to be different. A Slave device may or may not have geolocation capability, but does not directly query the database. Also a mobile Slave device, can it not switch as master device in adhoc?
[...]

I agree with the nature of his comment: a Slave device may well have geolocation capabilities; however PAWS does not expect it needs to use them to communicate with a Master device.  I would support an update to the definition of Slave.

---

From: Vincent Chen <[email-masked]>
Date: Thu, 25 Jul 2013 08:43:00 -0700

This sounds reasonable.

On Thu, Jul 25, 2013 at 7:44 AM, Harasty, Daniel J
<[email-masked]>wrote:

> I'd like to comment some of Sanjeev's input.****
>
> ** **
>
> I prefer to send independent replies on each topic, as that way a given
> email thread is about a single topic (more or less).****
>
> ** **
>
> Sanjeev mentioned:****
>
> ** **
>
> Sent: Thursday, July 25, 2013 10:31 AM****
>
> [...]****
>
> adhoc? ****
> [...]****
> ** **
> I agree with the nature of his comment: a Slave device may well have
> geolocation capabilities; however PAWS does not expect it needs to use them
> to communicate with a Master device.  I would support an update to the
> definition of Slave.****
>

-- 
-vince

---

From: Vincent Chen <[email-masked]>
Date: Thu, 25 Jul 2013 19:16:45 -0700

How about the following wording?

Slave Device: A device that uses a Master Device to query a Spectrum
Database on its behalf to find available spectrum. The slave device may or
may not have geo-location capability. A slave device that does not have
geo-location capability MUST get available spectrum via a Master Device.

On Thu, Jul 25, 2013 at 8:43 AM, Vincent Chen <[email-masked]> wrote:

> This sounds reasonable.
>
>
> On Thu, Jul 25, 2013 at 7:44 AM, Harasty, Daniel J <[email-masked]
> > wrote:
>

-- 
-vince

---

From: Sungjin Yoo <[email-masked]>
Date: Fri, 26 Jul 2013 16:33:07 +0900

Vince and all,

I think "location" in AVAIL_SPECTRUM_REQ may be the location of Slave 
device when the request is made by the Master device on behalf of a 
slave device.

See following in RFC6953

5.3.  Operational Requirements

    O.5  A master device MUST be able to query the database for the
         available spectrum on behalf of a slave device at a specified
         location before the slave device starts radio transmission in
         white space at that location.

6.  Security Considerations
    PAWS is a protocol whereby a master device requests a schedule of
    available spectrum at its location (or the location of its slave
    devices) before it (or they) can operate using those frequencies.

--Sungjin

On 07/26/2013 11:16 AM, Vincent Chen wrote:
> Database on its behalf to find available spectrum. The slave device 
> may or may not have geo-location capability. A slave device that does 
> not have geo-location capability MUST get available spectrum via a 
> Master Device.
>
>
> On Thu, Jul 25, 2013 at 8:43 AM, Vincent Chen <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     This sounds reasonable.
>
>
>     <[email-masked] <mailto:[email-masked]>> wrote:
>
>         I prefer to send independent replies on each topic, as that
>         way a given email thread is about a single topic (more or less).
>
>         Sanjeev mentioned:
>
>         From: [email-masked] <mailto:[email-masked]>
>         1. Section 2.2 states Slave device as a device without
>         geolocation capability. I think the phrasing there need to be
>         different. A Slave device may or may not have geolocation
>         capability, but does not directly query the database. Also a
>         mobile Slave device, can it not switch as master device in adhoc?
>
>         [...]
>
>         I agree with the nature of his comment: a Slave device may
>         well have geolocation capabilities; however PAWS does not
>         expect it needs to use them to communicate with a Master
>         device.  I would support an update to the definition of Slave.
>
>
>         [email-masked] <mailto:[email-masked]>

---

From: Ray Bellis <[email-masked]>
Date: Fri, 26 Jul 2013 07:33:10 +0000

On 26 Jul 2013, at 03:16, Vincent Chen <[email-masked]> wrote:

> Slave Device: A device that uses a Master Device to query a Spectrum Database on its behalf to find available spectrum. The slave device may or may not have geo-location capability. A slave device that does not have geo-location capability MUST get available spectrum via a Master Device.

That's fine apart from the last sentence.

In the ETSI / OFCOM model, a slave MUST _always_ get available spectrum via a Master Device whether the slave has geolocation capability or not.  If it gets spectrum directly from the WSDB, by definition it's not a slave.

Ray

---

From: Ray Bellis <[email-masked]>
Date: Fri, 26 Jul 2013 14:34:52 +0000

On 26 Jul 2013, at 15:25, Vincent Chen <[email-masked]> wrote:

> In the ETSI / OFCOM model, is Slave a "role" or a static / certified property of the device?

I would tend towards the latter.  The ETSI draft standard contains this definition:

"slave WSD: WSD that is only able to communicate with other WSDs, when under the control of a master WSD"

and this:

"master WSD: geo-located WSD that is able to communicate directly with a TVWSDB and with WSDs"

> Consider  the use case:
>  -  A portable device has location capability, but is not yet on a network
>  - It acts like a Slave in this phase to contact a Master in order to get spectrum
>  - It now can establish network connection to the Database directly using the spectrum
> 
> In the ETSI / OFCOM model:
>  1. Can it now ask the Database directly for spectrum? because it may be able to operate at higher power?

I believe that this is *not* permitted.  A slave device that has geolocation capability MAY ask for device specific RF parameters, but MUST do so through its Master.

OFCOM's specification explicitly prohibits a (master) WSD from talking to the WSDB over the managed UHF spectrum, it needs to use some other form of link.

kind regards,

Ray

---

From: Vincent Chen <[email-masked]>
Date: Fri, 26 Jul 2013 08:31:09 -0700

In that case, I believe the PAWS document should refer to Slave and Master
as roles, and I should not include the last sentence in the proposed text.

We probably also need to add:

  Whether a single device is allowed to serve both Slave and Master roles
depends on regulatory rules.

-vince

On Fri, Jul 26, 2013 at 7:34 AM, Ray Bellis <[email-masked]>wrote:

> I believe that this is *not* permitted.  A slave device that has
> geolocation capability MAY ask for device specific RF parameters, but MUST
> do so through its Master.
>
> OFCOM's specification explicitly prohibits a (master) WSD from talking to
> the WSDB over the managed UHF spectrum, it needs to use some other form of
> link.
>
> kind regards,
>
> Ray
>
>
>

-- 
-vince

---

From: [email-masked]
Date: Fri, 26 Jul 2013 21:26:42 +0530

Hi,

Even I would understand Slave/Master as roles which devices can play. Slave
device as:  "A device which does not directly communicate with WSDB, and
uses services of Master to communicate with other WSDs." Geo-location and
other capabilities whether it can have or not is not really in scope of the
definition. Yes, the device should have whitespace radio capabilities, and a
way to communicate with Master for sure.

Regards,

Sajeev

From: [email-masked] [mailto:[email-masked]] On Behalf Of
Vincent Chen
Sent: Friday, July 26, 2013 9:01 PM
To: Ray Bellis
Cc: [email-masked]
Subject: Re: [paws] definition of Slave device

-vince

On Fri, Jul 26, 2013 at 7:34 AM, Ray Bellis <[email-masked]>
wrote:

> In the ETSI / OFCOM model, is Slave a "role" or a static / certified
property of the device?

I would tend towards the latter.  The ETSI draft standard contains this
definition:

"slave WSD: WSD that is only able to communicate with other WSDs, when under
the control of a master WSD"

and this:

"master WSD: geo-located WSD that is able to communicate directly with a
TVWSDB and with WSDs"

>  1. Can it now ask the Database directly for spectrum? because it may be
able to operate at higher power?

I believe that this is *not* permitted.  A slave device that has geolocation
capability MAY ask for device specific RF parameters, but MUST do so through
its Master.

kind regards,

Ray

-- 
-vince

---

From: Pete Resnick <[email-masked]>
Date: Mon, 29 Jul 2013 15:03:48 +0200

Speaking as simply a document reviewer, not as an AD:

On 7/26/13 5:31 PM, Vincent Chen wrote:
> In that case, I believe the PAWS document should refer to Slave and 
> Master as roles, and I should not include the last sentence in the 
> proposed text.

Indeed, that is what RFC 6953 already says:

    Master Device:  A device that queries the database, on its own behalf
       and/or on behalf of a slave device, to obtain available spectrum
       information.

    Slave Device:  A device that queries the database through a master
       device.

It is probably worth a "scrub" of the document to make sure the wording 
agrees with 6953.

>   Whether a single device is allowed to serve both Slave and Master 
> roles depends on regulatory rules.

I think simply saying, "A device can server as a Master, as a Slave, or 
both; Slave and Master are simply roles indicating whether or not the 
device communicates with the WSDB." is sufficient. As always, I think 
there is no need to mention regulatory rules in discussion of protocol 
use, except by way of examples.

pr

> On Fri, Jul 26, 2013 at 7:34 AM, Ray Bellis <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>
>     On 26 Jul 2013, at 15:25, Vincent Chen <[email-masked]
>     >  1. Can it now ask the Database directly for spectrum? because
>     it may be able to operate at higher power?
>
>     geolocation capability MAY ask for device specific RF parameters,
>     but MUST do so through its Master.
>
>     OFCOM's specification explicitly prohibits a (master) WSD from
>     talking to the WSDB over the managed UHF spectrum, it needs to use
>     some other form of link.
>
>     kind regards,
>
>     Ray
>
>
>
>
>
> -- 
> -vince
>
>

-- 
Pete Resnick<http://www.qualcomm.com/~presnick/>
Qualcomm Technologies, Inc. - +1 (858)651-4478